package com.community.huiju.dao;

import com.community.huiju.model.ToBanner;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ToBannerMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ToBanner record);

    int insertSelective(ToBanner record);

    ToBanner selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ToBanner record);

    int updateByPrimaryKeyWithBLOBs(ToBanner record);

    int updateByPrimaryKey(ToBanner record);

    /**
     * 根据条件查询Banner
     *
     * title 标题
     * bannerDescription 跳转描述
     * bannerPosition banner位
     *
     *
     * @param toBanner
     * @return
     */
    List<ToBanner> selectBanner(ToBanner toBanner);

    /**
     * 批量删除
     * @param list
     * @return
     */
    int deleteBanchBanner(List<Integer> list);

}